import { opcionesDePeticion } from "../class/opciones-de-peticion.js";
import { peticionPostGenerica } from './BD-remota.js';
import { guardarLocalStorage } from './local-storage.js';

const bodyData = {
  nombre: "admin",
  contraseña: "Xrw*123wassa322",
};

const opcionesParaObtencionDeToken = new opcionesDePeticion("POST", JSON.stringify(bodyData), {"Content-Type": "application/json",});
const urlAutenticacion = "https://aforoapp.herokuapp.com/login";

export function cambiarTokenDeOpciones(opciones, token){
  opciones.headers["x-token"] = token;
  return opciones; 
}

export async function autenticacion() {
  await peticionPostGenerica(urlAutenticacion, opcionesParaObtencionDeToken)
    .then((response) => {
      guardarLocalStorage('xtoken',response.token); 
    })
    .catch((error) => {
      console.error(error);
    });
}